# right now this is this is heavily inspired to git repo django-musician/Dockerfile
#FROM python
FROM debian:bullseye-slim

RUN apt update &&  apt-get install -y \
    python3-minimal \
    python3-pip \
    python3-dev \
    python-is-python3

WORKDIR /home

RUN python3 -m pip install --upgrade pip
RUN pip install wheel

COPY django-musician .
RUN pip install -r requirements.txt

COPY docker/musician.entrypoint.sh .
ENTRYPOINT sh ./musician.entrypoint.sh

#RUN python manage.py migrate
#
#EXPOSE 8080
#
#ENTRYPOINT [ "python", "manage.py", "runserver", "0.0.0.0:8080" ]
